epp_StatusResultData (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.epp_StatusResultData class

### org.openrtk.idl.epp0604

# Class epp_StatusResultData

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.epp_StatusResultData`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_StatusResultData`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the status command result data. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/epp_StatusResultData.java,v 1.1 2003/03/21 15:54:34 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 15:54:34 $

See Also:
  `epp_ResultData`

  ## Field Summary
  `boolean` | `m_ack`
  `String` | `m_cltrid`

  ## Constructor Summary
  `epp_StatusResultData()` Empty constructor.
  `epp_StatusResultData(boolean _m_ack, String _m_cltrid)` Constructor with initializers

  ## Method Summary
  `boolean` | `getAck()` Accessor method for the transaction's acknowledge flag
  `String` | `getCltrid()` Accessor method for the client transaction id
  `void` | `setAck(boolean value)` Accessor method for the transaction's acknowledge flag
  `void` | `setCltrid(String value)` Accessor method for the client transaction id
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_ack

    public boolean m_ack

### m_cltrid

    public String m_cltrid

## Constructor Details

### epp_StatusResultData

    public epp_StatusResultData()

> Empty constructor.

### epp_StatusResultData

    public epp_StatusResultData(boolean _m_ack,
                                String _m_cltrid)

> Constructor with initializers
> Parameters:
>   `_m_ack` - The acknowledge flag
>   `_m_cltrid` - The client TRID

## Method Details

### getAck

    public boolean getAck()

> Accessor method for the transaction's acknowledge flag
> Returns:
>   The Ack flag
> See Also:
>   `m_ack`

### getCltrid

    public String getCltrid()

> Accessor method for the client transaction id
> Returns:
>   The client TRID
> See Also:
>   `m_cltrid`

### setAck

    public void setAck(boolean value)

> Accessor method for the transaction's acknowledge flag
> Parameters:
>   `value` - The Ack flag
> See Also:
>   `m_ack`

### setCltrid

    public void setCltrid(String value)

> Accessor method for the client transaction id
> Parameters:
>   `value` - The client TRID
> See Also:
>   `m_cltrid`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS